--[[
	Child of State class.
]]

include("../state.lua");

CombatState = class(State);

function CombatState:constructor()
	self.name = "Combat state";
	self.lasttime = os.time(); -- We're going to just fake combat with time.
end

function CombatState:update()
	if( os.difftime(os.time(), self.lasttime) > 5 ) then
		-- End combat.
		printf("Ending combat.\n");
		stateman:popState();
	end
end
