include("classes/statemanager.lua");
include("classes/states/waypoint.lua");


local lastKS = keyboardState();
local function handleInput()
	local function pressed(vk)
		if( ks[vk] and not lastKS[vk] ) then
			return true;
		else
			return false;
		end
	end
	ks = keyboardState();

	if( pressed(key.VK_Q) ) then
		stateman:pushEvent("quit");
	end

	if( pressed(key.VK_C) ) then
		stateman:pushEvent("combat");
	end


	lastKS = ks;
end

function main()
	stateman = StateManager();
	stateman:pushState(WaypointState());
	print("Current state: ", stateman:getState().name);

	while(stateman.running) do
		handleInput();
		stateman:handleEvents();
		stateman:run();
		yrest(1);
	end
end
startMacro(main, true);